Skip to content
Articles

List all articles

Understanding how to use FeatureOS API to build custom integrations.

Introduction

The FeatureOS list all article API allows you to retrieve information about your articles.

GET https://api.featureos.app/api/v3/articles
curl -X GET 'https://api.featureos.app/api/v3/articles' \
  -H 'API-KEY: YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Headers

Parameter Default Description
API-KEY - Generate from organization settings on the admin dashboard.

Query Parameters

Parameter Default Description
status - The article's status: "draft", "published"
locale Default language setted in Knowledge Base settings (or) "en" The article's language code: "en" (English), "es" (Spanish), "pt" (Portuguese), "de" (German), "fr" (French), "ja" (Japanese), "ru" (Russian), "ko" (Korean), "zh" (Chinese Simplified), "zh-TW" (Chinese Traditional), "pt-BR" (Brazilian Portuguese), "it" (Italian), "nl" (Dutch), "tr" (Turkish), "id" (Indonesian), "vi" (Vietnamese), "th" (Thai), "pl" (Polish), "sv" (Swedish), "ms" (Malay), "tl" (Tagalog), "da" (Danish), "ar" (Arabic).
collection_id - Collection ID.
assignee_id - Assignee ID.
author_id - Author ID.
privacy - The article's privacy: "public", "unlisted", "private"
tag_id - Tag ID.
page 1 Used to paginate responses.
per_page 30 Used to limit the responses.

Sample response

[
  {
    "id": 12,
    "title": "Guide to whitelisting email domains",
    "slug": "guide-to-whitelisting-email-domains",
    "status": "published",
    "key": "FO-079",
    "updated_at": "2024-06-14T10:57:18.923Z",
    "description": "<p>Whitelisting email domains offers you a streamlined method to grant access to customers within your organization and allocate members to Private Boards.</p>",
    "cover_image": null,
    "locale": "en",
    "privacy": "public",
    "imported_resource": null,
    "imported_resource_id": "0",
    "position": 17,
    "seo_title": null,
    "seo_description": null,
    "authors": [
        {
          "id": 1234,
          "name": "Swathy",
          "email": "[email protected]",
        }
    ],
    "assignees": [
        {
          "id": 123,
          "name": "John",
          "email": "[email protected]",
        }
    ],
    "tags": [
        {
          "name": "Access",
          "color": "indigo",
          "id": 52996
        }
    ],
    "published_at": "2024-03-20T06:07:08.000Z",
    "collection": {
        "id": 12,
        "slug": "organization-settings",
        "color": "default",
        "description": "Everything you needs to set up your organization's branding and global settings.",
        "icon": "https://assets.production.skcript.com/featureos/app-assets/icons/regular/buildings.svg",
        "kind": "category",
        "name": "Organization Settings",
        "published_articles_count": 23,
        "published_articles_count_with_children": 0,
        "read_only": false,
        "sub_categories_count": 0,
        "created_at": "2024-05-20T05:44:33.911Z",
        "updated_at": "2024-11-26T11:21:03.404Z",
        "parent_id": null,
        "user_id": 123,
        "privacy": "public",
        "position": 10,
        "seo_title": null,
        "seo_description": null
    }
  },
  ...
]